Gtk2::Expander(3)

NAME
Gtk2::Expander

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Expander

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::Expander->new ($label=undef)

•   $label (string or undef)

  widget = Gtk2::Expander->new_with_mnemonic ($label)

•   $label (string)

  boolean = $expander->get_expanded

  $expander->set_expanded ($expanded)

•   $expanded (boolean)

  string = $expander->get_label

  $expander->set_label ($label)

•   $label (string)

  widget = $expander->get_label_widget

  $expander->set_label_widget ($label_widget)

•   $label_widget (Gtk2::Widget)

  integer = $expander->get_spacing

  $expander->set_spacing ($spacing)

•   $spacing (integer)

  boolean = $expander->get_use_markup

  $expander->set_use_markup ($use_markup)

•   $use_markup (boolean)

  boolean = $expander->get_use_underline

  $expander->set_use_underline ($use_underline)

•   $use_underline (boolean)

PROPERTIES

'expanded' (boolean : default false : readable / writable / construct / private)
    Whether the expander has been opened to reveal the child widget

'label' (string : default undef : readable / writable / construct / private)
    Text of the expander's label

'label-fill' (boolean : default false : readable / writable / construct / private)
    Whether the label widget should fill all available horizontal space

'label-widget' (Gtk2::Widget : default undef : readable / writable / private)
    A widget to display in place of the usual expander label

'spacing' (integer : default 0 : readable / writable / private)
    Space to put between the label and the child

'use-markup' (boolean : default false : readable / writable / construct / private)
    The text of the label includes XML markup. See pango_parse_markup()

'use-underline' (boolean : default false : readable / writable / construct / private)
    If set, an underline in the text indicates the next character should be used for the mnemonic accelerator key

SIGNALS

activate (Gtk2::Expander)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.